<?php
namespace Claromentis\Core\Ai\Adapters\Vertex\Responses\Image;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_8b39dd032747" . "20b4ed9a06cd9" . "30f29cc" => base64_decode("Ynl0ZXNCYXNlNjRFbm" . "NvZGVk"), "_f3cd33ffc40bfb37206b0dcff" . "170cc96" => base64_decode("RXJyb3IgaGFuZGx" . "pbmcgaW1hZ2UgZ2" . "VuZXJhdGlvbiByZ" . "XNwb25zZTog"), "_c36d11ec61d5" . "49064ca599774" . "5729b1c" => base64_decode("cHJlZGljdGlvb" . "nM="), "_e155674" . "41c24cf5" . "97f08568" . "9c722c66" . "0" => base64_decode("bWltZVR5" . "cGU="), "_72849b91eda4dfd944fd8067c" . "af54eb2" => base64_decode("Tm8gaW1hZ2VzIHJlY2VpdmVkIGZyb20gQUkgc2VydmljZ" . "Q=="), "_9338add06febdd668e802" . "34d1c857b0c" => base64_decode("SW52YWxpZCBpbWFnZSByZWNlaXZlZCBmcm9tIEFJIHNlcnZpY2" . "U="));
use Claromentis\Core\Ai\Adapters\Vertex\Requests\Image\VertexAiImageGenerationConfig;
use Claromentis\Core\Ai\AiResponseInterface;
use Claromentis\Core\Ai\Exceptions\AiInvalidResponseException;
use Claromentis\Core\Ai\Parts\FilePart;
use Claromentis\Core\Ai\Parts\PartInterface;
use Webmozart\Assert\Assert;






class VertexAiGenerateImageResponse implements AiResponseInterface
{
    
    
    
    
    
    
    private array $parts;
    
    
    
    
    public function __construct(array $_9961f986823b4be7f5c4cc8379c6b228)
    {
        Assert::allIsInstanceOf($_9961f986823b4be7f5c4cc8379c6b228, FilePart::class);
        foreach ($_9961f986823b4be7f5c4cc8379c6b228 as $_d962cfd1735adb2dfba46f69c7f15cb8) {
            if (!$_d962cfd1735adb2dfba46f69c7f15cb8->isImage()) {
                throw new AiInvalidResponseException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_9338add06fe" . "bdd668e80234" . "d1c857b0c"]);
            }
        }
        $this->parts = $_9961f986823b4be7f5c4cc8379c6b228;
    }
    
    
    
    
    
    
    
    
    
    public static function fromArray(array $_fd62bc4eaaf7d58dea9bada3e30443b9) : self
    {
        
        
        
        if (empty($_fd62bc4eaaf7d58dea9bada3e30443b9) || empty($_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_c36d11ec61d549064" . "ca5997745729b1c"]])) {
            throw new AiInvalidResponseException($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_72849b91e" . "da4dfd944f" . "d8067caf54" . "eb2"]);
        }
        $_9961f986823b4be7f5c4cc8379c6b228 = [];
        foreach ($_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_c36d11ec61d549064ca5997745729b1" . "c"]] as $_c60329b6b53016ba8929aff2f19abcc6) {
            if (empty($_c60329b6b53016ba8929aff2f19abcc6[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_8b39dd0" . "3274720b" . "4ed9a06c" . "d930f29c" . "c"]])) {
                
                
                continue;
            }
            try {
                $_31958d0b40348d4ca7900c41684e4adc = new FilePart($_c60329b6b53016ba8929aff2f19abcc6[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_8b39dd03274720b4ed9a06cd930" . "f29cc"]], $_c60329b6b53016ba8929aff2f19abcc6[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_e1556744" . "1c24cf597" . "f085689c7" . "22c660"]] ?? VertexAiImageGenerationConfig::DEFAULT_MIME_TYPE, PartInterface::PART_ROLE_MODEL);
            } catch (\Throwable $_3a16c5fe1a78b54b69e204ec07dcf670) {
                throw new AiInvalidResponseException($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_f3cd33ffc40bfb37206b0" . "dcff170cc96"] . $_3a16c5fe1a78b54b69e204ec07dcf670->getMessage(), $_3a16c5fe1a78b54b69e204ec07dcf670->getCode(), $_3a16c5fe1a78b54b69e204ec07dcf670);
            }
            $_9961f986823b4be7f5c4cc8379c6b228[] = $_31958d0b40348d4ca7900c41684e4adc;
        }
        return new self($_9961f986823b4be7f5c4cc8379c6b228);
    }
    public function hasTerminated() : bool
    {
        return false;
    }
    public function getParts() : array
    {
        return $this->parts;
    }
    
    
    
    
    
    
    public function getGeneratedImages() : array
    {
        return $this->parts;
    }
}